Ace_todolist(1)

NAME
Ace_todolist - show Todo database in CLI system

SYNOPSIS
Ace_todolist [ -h | --help ] [ --add ] [ --list a, f ] [ --sort t, T, c, C, p, P, d, D ] [ --eit title, category, due, priority, fin, place, comment ] [ --stat ] [ --search i, t, c, d ] [ --detail ] [ --remove ] [ --version ]

DESCRIPTION
Ace_todolist is an application for manager assignment, event or many kinds of objective. This program is Open Source with MIT License. If you want to develop this program for your own, please see the Development Guide in our repository. This program is based on Python 3.6 and can be run on Command Line Interface.

OPTIONS

-h,--help
    Display help massage and exit.

--add
    Add Todo in database.

--list
    Display Todo(s) in database on consol. Two options are available.

    a : Display all of the database.

    f : Display finished and unfinished Todo(s) separately.

--sort
    Sort the list of Todo(s). Must be used with --list option.

    t, T : sort by Title.

    c, C : sort by Category.

    p, P : sort by Priority.

    d, D : sort by Due.

    Lowercase letter sort in ascending order, and uppercase letter sort in descending order.

--edit
    Edit implemented field in the selected Todo in the database.

    title

    category

    due

    priority

    fin

    place

    comment

--stat
    Display the stats of the database.

--search
    Search and select the Todo(s) in database. Can use with the options --edit, --detail, --remove.

    i : search by ID.

    t : search by Title.

    c : search by Category.

    d : search by Due.

--detail
    Display the details of Todo in database.

--remove
    Remove Todo in database.

--version
    Display the version of this program and exit.

LICENSING
Ace_todolist is distributed under an Open Source liscense. See the file "LICENSE" in the Ace_todolist source distribution for information on terms & conditions for accessing and otherwise using Ace_todolist for a DISCLAIMER oF ALL WARRANTIES.

AUTHOR
Github reposiory: https://github.com/taaeyoon/Ace_todolist

TaeYoon KIM <qmffhrmdyd123@naver.com>

GunWoong NO <gunoong011@gmail.com>

SeungChan YU <mario1470@naver.com>

HaEun CHOI <cothmm@naver.com>